// @APIVersion 1.0.0
// @Title beego Test API
// @Description beego has a very cool tools to autogenerate documents for your API
// @Contact astaxie@gmail.com
// @TermsOfServiceUrl http://beego.me/
// @License Apache 2.0
// @LicenseUrl http://www.apache.org/licenses/LICENSE-2.0.html
package routers

import (
	"annual-lottery2/controllers"

	"github.com/astaxie/beego"
)

func init() {
	ns := beego.NewNamespace("/api",
		beego.NSInclude(&controllers.BaseController{}),
		beego.NSInclude(&controllers.LotteryController{}),
		beego.NSRouter("/lp/:id", &controllers.BaseController{}, "get,post:LongPoll"),
	)

	beego.Router("/", &controllers.BaseController{}, "*:Index")

	beego.AddNamespace(ns)
}
